let count = 0;

cc.Class({
    extends: cc.Component,

    properties: {
        // foo: {
        //    default: null,      // The default value will be used only when the component attaching
        //                           to a node for the first time
        //    url: cc.Texture2D,  // optional, default is typeof default
        //    serializable: true, // optional, default is true
        //    visible: true,      // optional, default is true
        //    displayName: 'Foo', // optional
        //    readonly: false,    // optional, default is false
        // },
        // ...
    },

    // use this for initialization
    onLoad() {
        this._color = 1;

        this.node.on(cc.Node.EventType.TOUCH_START, function(event) {
            this.lastPos = event.touch.getLocation();
            
            if (this._color == 1) {
                this._color = 2;
            } else {
                this._color = 1;
            }
        }, this);

        this.node.on(cc.Node.EventType.TOUCH_MOVE, function(event) {
            let g = this.getComponent(cc.Graphics);

            let delta = event.touch.getDelta();

            if (this._color == 1) {
                g.fillColor = cc.Color.BLACK;
                g.strokeColor = cc.Color.BLACK;
            } else {
                g.fillColor = cc.Color.RED;
                g.strokeColor = cc.Color.RED;
            }
            
            g.moveTo(this.lastPos.x, this.lastPos.y);
            g.lineTo(this.lastPos.x + delta.x, this.lastPos.y + delta.y);
            g.close();

            g.stroke();
            g.fill();

            this.lastPos = event.touch.getLocation();

            cc.log(count++, ' ', this.lastPos);

        }, this);
    },

    // called every frame, uncomment this function to activate update callback
    // update: function (dt) {

    // },
});